<?php 

class LlamadasEntrantes extends AppObjeto{

	public $CODIGO_LLEN;
	public $TELEFONO_LLEN;
	public $FECHA;
	public $HORA;
	public $MOSTRANDO_LLEN;
	public $PERDIDA_LLEN;
	public $EMPRESA_LLEN;
	public $ID_TELFENTRADA_LLEN;
	public $TELEFONO_ENTRADA_LLEN;
	public $SERVICIO;
	public $LATITUD;
	public $LONGITUD;
	
	protected static $_aliasTabla = 'a';
	protected static $_nombreTabla = 'LLAMADAS_ENTRANTES';
	protected static $_campoPK = 'CODIGO_LLEN';
	protected static $_tipo_primary = self::APP_TIPO_PRIMARY_STRING;
	
	
	
	
	protected static function initMetaDatos(){
		self::addPropiedadBD('a', 'CODIGO_LLEN', 'CODIGO_LLEN', self::META_INT);
		self::addPropiedadBD('a', 'TELEFONO_LLEN', 'TELEFONO_LLEN', self::META_VARCHAR);
		self::addPropiedadBD('a', 'FECHA', 'FECHA', self::META_DATE);
		self::addPropiedadBD('a', 'HORA', 'HORA', self::META_TIME);
		self::addPropiedadBD('a', 'EMPRESA_LLEN', 'EMPRESA_LLEN', self::META_VARCHAR);
		self::addPropiedadBD('a', 'ID_TELFENTRADA_LLEN', 'ID_TELFENTRADA_LLEN', self::META_INT);
		self::addPropiedadBD('a', 'TELEFONO_ENTRADA_LLEN', 'TELEFONO_ENTRADA_LLEN', self::META_VARCHAR);
		self::addPropiedadBD('a', 'SERVICIO', 'SERVICIO', self::META_VARCHAR);
		self::addPropiedadBD('a', 'LATITUD', 'SERVICIO', self::META_VARCHAR);
		self::addPropiedadBD('a', 'LONGITUD', 'SERVICIO', self::META_VARCHAR);
		
	}
	
	public function save(){
		
		$this->TELEFONO_LLEN = $this->FNFORMATTELEFONO($this->TELEFONO_LLEN);
		$this->FECHA = date('d/m/Y');
		$this->HORA = date('H:i:s');
		$this->EMPRESA_LLEN = '00';
		parent::save();
		
	}
	
	public static function FNFORMATTELEFONO($telefono){
		
		
		$telefono = str_replace(' ', '', $telefono);
		$telefono = str_replace('.', '', $telefono);
		$telefono = str_replace('-', '', $telefono);
		
		$telefono = str_replace('+', '00', $telefono);
		
		if(strlen($telefono) == 9){
			$telefono = '0034'.$telefono;
		}
		
		$telefono = trim($telefono);
		return $telefono;
		
	}
	
}

